View Issue Details

IDProjectCategoryView StatusLast Update
0002235Ham Radio DeluxeBugpublic2017-09-18 00:08
Reporterw4elp 
Assigned ToK7ZCZ 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.787 
Summary0002235: Logbook ALE Window ID disappears upon ALE reset
DescriptionBeginning v6.4.0.777, the window ID ("Add:My Logbook") at the top of the Logbook ALE window disappears upon clearing ALE with F4 or the Reset button.
This may have no affect on operation of Logbook, but renders the W4ELP shortcut add-on program inoperable for the Logbook ALE.
Steps To ReproduceOpen Logbook ALE - observe that "ADD:My Logbook" - or appropriate logbook name - is present at top of window.
Hit F4 or click Reset buton - observe that the window ID disappears.
Closing ALE and opening new one restores the ID until ALE is reset.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
TestingNot Started

Relationships

Activities

w4elp

2017-09-03 14:51

viewer   ~0004101

The last version checked previous to 777 was 6.4.0.664, and it does not exhibit this bug. 777, 780 and 783 all have it.
-W4ELP-

K7ZCZ

2017-09-13 10:29

manager   ~0004184

Can you please help me understand why this is "major" severity and "high" priority?

K7ZCZ

2017-09-13 10:30

manager   ~0004185

Fixed with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3852

w4elp

2017-09-13 12:30

viewer   ~0004186

"Major" severity and "high" priority were probably overreaction. Apologies if it set off alarms.

WA9PIE

2017-09-18 00:08

administrator   ~0004206

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-09-03 14:47 w4elp New Issue
2017-09-03 14:51 w4elp Note Added: 0004101
2017-09-13 10:29 K7ZCZ Note Added: 0004184
2017-09-13 10:30 K7ZCZ Assigned To => K7ZCZ
2017-09-13 10:30 K7ZCZ Status new => resolved
2017-09-13 10:30 K7ZCZ Resolution open => fixed
2017-09-13 10:30 K7ZCZ Testing => Not Started
2017-09-13 10:30 K7ZCZ Note Added: 0004185
2017-09-13 12:30 w4elp Note Added: 0004186
2017-09-14 19:19 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-09-14 19:23 K7ZCZ Fixed in Version => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004206
2017-09-18 00:08 WA9PIE Status resolved => closed